## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/FiloSottile/age
%global goipath         filippo.io/age
%global forgeurl        https://github.com/FiloSottile/age
Version:                1.1.1

%gometa -f

%global goname age

%global common_description %{expand:
A simple, modern and secure encryption tool (and Go library) with small
explicit keys, no config options, and UNIX-style composability.}

%global golicenses      LICENSE
%global godocs          AUTHORS README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Simple, modern and secure encryption tool

License:        BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
export LDFLAGS="-X main.Version=%{version} "
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/%{name}.1 %{buildroot}%{_mandir}/man1/
install -m 644 doc/age-keygen.1 %{buildroot}%{_mandir}/man1/

%if %{with check}
%check
for test in "TestVectors" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/*
%{_mandir}/man1/*

%gopkgfiles

%changelog
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> None-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> None-5
- Rebuild for golang 1.22.0

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> None-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> None-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> None-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Feb 20 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> None-1
- Update to 1.1.1

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0~rc.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 23 2022 Anthony Rabbito <hello@anthonyrabbito.com> 1.1.0~rc.1-1
- Update to 1.1.0-rc.1

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 1.0.0-6
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.0.0-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.0.0-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 16 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.0.0-2
- Add LDFLAGS to specify age version Fix: rhbz#2004564

* Mon Sep 06 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.0.0-1
- Update to 1.0.0

* Mon Aug 30 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.0~rc.3-2
- Add man pages

* Sat Aug 21 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.0~rc.3-1
- Update to 1.0.0-rc.3

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~beta7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar  7 10:24:07 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0~beta7-
- Update to 1.0.0~beta7
- Close: rhbz#1919496

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~beta6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 00:03:19 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-beta6-1
- Initial package

